WP3StylesListener Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes | List of all members
WP3StylesListener Class Reference

`#include <WP3StylesListener.h>`

Inheritance diagram for WP3StylesListener:

## Public Member Functions
| WP3StylesListener (std::list< WPXPageSpan > &pageList, WPXTableList tableList, std::vector< WP3SubDocument * > &subDocuments)
void | startDocument ()
void | startSubDocument ()
void | insertCharacter (unsigned)
void | insertTab ()
void | insertTab (unsigned char, double)
void | insertEOL ()
void | insertBreak (unsigned char breakType)
void | attributeChange (bool, unsigned char)
void | lineSpacingChange (double)
void | justificationChange (unsigned char)
void | pageMarginChange (unsigned char side, unsigned short margin)
void | pageFormChange (unsigned short length, unsigned short width, WPXFormOrientation orientation)
void | marginChange (unsigned char side, unsigned short margin)
void | indentFirstLineChange (double)
void | setTabs (bool, const std::vector< WPXTabStop >)
void | columnChange (WPXTextColumnType, unsigned char, const std::vector< double > &, const std::vector< bool > &)
void | endDocument ()
void | endSubDocument ()
void | defineTable (unsigned char, unsigned short)
void | addTableColumnDefinition (unsigned, unsigned, unsigned, unsigned, unsigned char)
void | startTable ()
void | closeCell ()
void | closeRow ()
void | setTableCellSpan (unsigned short, unsigned short)
void | setTableCellFillColor (const RGBSColor *)
void | endTable ()
void | undoChange (unsigned char undoType, unsigned short undoLevel)
void | setTextColor (const RGBSColor *)
void | setTextFont (const librevenge::RVNGString &)
void | setFontSize (unsigned short)
void | insertPageNumber (const librevenge::RVNGString &)
void | insertNoteReference (const librevenge::RVNGString &)
void | insertNote (WPXNoteType, const WP3SubDocument *)
void | headerFooterGroup (unsigned char headerFooterType, unsigned char occurrenceBits, WP3SubDocument *subDocument)
void | suppressPage (unsigned short suppressCode)
void | backTab ()
void | leftIndent ()
void | leftIndent (double)
void | leftRightIndent ()
void | leftRightIndent (double)
void | insertPicture (double, double, double, double, unsigned char, unsigned char, unsigned short, const librevenge::RVNGBinaryData &)
void | insertTextBox (double, double, double, double, unsigned char, unsigned char, unsigned short, const WP3SubDocument *, const WP3SubDocument *)
void | insertWP51Table (double, double, double, double, unsigned char, unsigned char, unsigned short, const WP3SubDocument *, const WP3SubDocument *)
Public Member Functions inherited from WP3Listener
| WP3Listener ()
virtual | ~WP3Listener ()
void | setResourceFork (WP3ResourceFork *resourceFork)
const WP3ResourceFork * | getResourceFork () const

## Protected Member Functions
void | _handleSubDocument (const WPXSubDocument *subDocument, WPXSubDocumentType subDocumentType, WPXTableList tableList, int nextTableIndice=0)
Protected Member Functions inherited from WPXStylesListener
| WPXStylesListener (std::list< WPXPageSpan > &pageList)
virtual | ~WPXStylesListener ()
Protected Member Functions inherited from WPXListener
| WPXListener (std::list< WPXPageSpan > &pageList)
virtual | ~WPXListener ()
bool | isUndoOn ()
void | setUndoOn (bool isOn)

## Private Member Functions
| WP3StylesListener (const WP3StylesListener &)
WP3StylesListener & | operator= (const WP3StylesListener &)

## Private Attributes
WPXPageSpan | m_currentPage
WPXTableList | m_tableList
WPXTable * | m_currentTable
double | m_tempMarginLeft
double | m_tempMarginRight
bool | m_currentPageHasContent
bool | m_isSubDocument
std::vector< WP3SubDocument * > & | m_subDocuments
std::list< WPXPageSpan >::iterator | m_pageListHardPageMark

## Additional Inherited Members
Protected Attributes inherited from WPXListener
std::list< WPXPageSpan > & | m_pageList

## Constructor & Destructor Documentation

WP3StylesListener::WP3StylesListener | ( | std::list< WPXPageSpan > & | pageList,
|  | WPXTableList | tableList,
|  | std::vector< WP3SubDocument * > & | subDocuments
| ) |  |

Referenced by insertWP51Table().

WP3StylesListener::WP3StylesListener | ( | const WP3StylesListener & |  | ) |
| private

## Member Function Documentation

void WP3StylesListener::_handleSubDocument | ( | const WPXSubDocument * | subDocument,
|  | WPXSubDocumentType | subDocumentType,
|  | WPXTableList | tableList,
|  | int | nextTableIndice = `0`
| ) |  |
| protected

Referenced by headerFooterGroup(), and insertWP51Table().

void WP3StylesListener::addTableColumnDefinition | ( | unsigned | ,
|  | unsigned | ,
|  | unsigned | ,
|  | unsigned | ,
|  | unsigned char |
| ) |  |
| inlinevirtual

Implements WP3Listener.

void WP3StylesListener::attributeChange | ( | bool | ,
|  | unsigned char |
| ) |  |
| inlinevirtual

Implements WP3Listener.

void WP3StylesListener::backTab | ( |  | ) |
| inlinevirtual

Implements WP3Listener.

void WP3StylesListener::closeCell | ( |  | ) |
| inlinevirtual

Implements WP3Listener.

void WP3StylesListener::closeRow | ( |  | ) |
| inlinevirtual

Implements WP3Listener.

void WP3StylesListener::columnChange | ( | WPXTextColumnType | ,
|  | unsigned char | ,
|  | const std::vector< double > & | ,
|  | const std::vector< bool > & |
| ) |  |
| inlinevirtual

Implements WP3Listener.

void WP3StylesListener::defineTable | ( | unsigned char | ,
|  | unsigned short |
| ) |  |
| inlinevirtual

Implements WP3Listener.

void WP3StylesListener::endDocument | ( |  | ) |
| virtual

Implements WP3Listener.

Referenced by columnChange().

void WP3StylesListener::endSubDocument | ( |  | ) |
| virtual

Implements WP3Listener.

Referenced by columnChange(), and WP3Parser::parseSubDocument().

void WP3StylesListener::endTable | ( |  | ) |
| inlinevirtual

Implements WP3Listener.

void WP3StylesListener::headerFooterGroup | ( | unsigned char | headerFooterType,
|  | unsigned char | occurrenceBits,
|  | WP3SubDocument * | subDocument
| ) |  |
| virtual

Implements WP3Listener.

Referenced by insertNote().

void WP3StylesListener::indentFirstLineChange | ( | double |  | ) |
| inlinevirtual

Implements WP3Listener.

void WP3StylesListener::insertBreak | ( | unsigned char | breakType | ) |
| virtual

Implements WP3Listener.

Referenced by endDocument(), endSubDocument(), and insertEOL().

void WP3StylesListener::insertCharacter | ( | unsigned |  | ) |
| inlinevirtual

Implements WP3Listener.

void WP3StylesListener::insertEOL | ( |  | ) |
| inlinevirtual

Implements WP3Listener.

void WP3StylesListener::insertNote | ( | WPXNoteType | ,
|  | const WP3SubDocument * |
| ) |  |
| inlinevirtual

Implements WP3Listener.

void WP3StylesListener::insertNoteReference | ( | const librevenge::RVNGString & |  | ) |
| inlinevirtual

Implements WP3Listener.

void WP3StylesListener::insertPageNumber | ( | const librevenge::RVNGString & |  | ) |
| inlinevirtual

Implements WP3Listener.

void WP3StylesListener::insertPicture | ( | double | ,
|  | double | ,
|  | double | ,
|  | double | ,
|  | unsigned char | ,
|  | unsigned char | ,
|  | unsigned short | ,
|  | const librevenge::RVNGBinaryData & |
| ) |  |
| inlinevirtual

Implements WP3Listener.

void WP3StylesListener::insertTab | ( |  | ) |
| inlinevirtual

Implements WP3Listener.

void WP3StylesListener::insertTab | ( | unsigned char | ,
|  | double |
| ) |  |
| inlinevirtual

Implements WP3Listener.

void WP3StylesListener::insertTextBox | ( | double | ,
|  | double | ,
|  | double | ,
|  | double | ,
|  | unsigned char | ,
|  | unsigned char | ,
|  | unsigned short | ,
|  | const WP3SubDocument * | ,
|  | const WP3SubDocument * |
| ) |  |
| inlinevirtual

Implements WP3Listener.

void WP3StylesListener::insertWP51Table | ( | double | ,
|  | double | ,
|  | double | ,
|  | double | ,
|  | unsigned char | ,
|  | unsigned char | ,
|  | unsigned short | ,
|  | const WP3SubDocument * | ,
|  | const WP3SubDocument * |
| ) |  |
| inlinevirtual

Implements WP3Listener.

void WP3StylesListener::justificationChange | ( | unsigned char |  | ) |
| inlinevirtual

Implements WP3Listener.

void WP3StylesListener::leftIndent | ( |  | ) |
| inlinevirtual

Implements WP3Listener.

void WP3StylesListener::leftIndent | ( | double |  | ) |
| inlinevirtual

Implements WP3Listener.

void WP3StylesListener::leftRightIndent | ( |  | ) |
| inlinevirtual

Implements WP3Listener.

void WP3StylesListener::leftRightIndent | ( | double |  | ) |
| inlinevirtual

Implements WP3Listener.

void WP3StylesListener::lineSpacingChange | ( | double |  | ) |
| inlinevirtual

Implements WP3Listener.

void WP3StylesListener::marginChange | ( | unsigned char | side,
|  | unsigned short | margin
| ) |  |
| virtual

Implements WP3Listener.

Referenced by justificationChange().

WP3StylesListener& WP3StylesListener::operator= | ( | const WP3StylesListener & |  | ) |
| private

Referenced by insertWP51Table().

void WP3StylesListener::pageFormChange | ( | unsigned short | length,
|  | unsigned short | width,
|  | WPXFormOrientation | orientation
| ) |  |
| virtual

Implements WP3Listener.

Referenced by justificationChange().

void WP3StylesListener::pageMarginChange | ( | unsigned char | side,
|  | unsigned short | margin
| ) |  |
| virtual

Implements WP3Listener.

Referenced by justificationChange().

void WP3StylesListener::setFontSize | ( | unsigned short |  | ) |
| inlinevirtual

Implements WP3Listener.

void WP3StylesListener::setTableCellFillColor | ( | const RGBSColor * |  | ) |
| inlinevirtual

Implements WP3Listener.

void WP3StylesListener::setTableCellSpan | ( | unsigned short | ,
|  | unsigned short |
| ) |  |
| inlinevirtual

Implements WP3Listener.

void WP3StylesListener::setTabs | ( | bool | ,
|  | const std::vector< WPXTabStop > |
| ) |  |
| inlinevirtual

Implements WP3Listener.

void WP3StylesListener::setTextColor | ( | const RGBSColor * |  | ) |
| inlinevirtual

Implements WP3Listener.

void WP3StylesListener::setTextFont | ( | const librevenge::RVNGString & |  | ) |
| inlinevirtual

Implements WP3Listener.

void WP3StylesListener::startDocument | ( |  | ) |
| inlinevirtual

Implements WP3Listener.

void WP3StylesListener::startSubDocument | ( |  | ) |
| inlinevirtual

Implements WP3Listener.

Referenced by WP3Parser::parseSubDocument().

void WP3StylesListener::startTable | ( |  | ) |
| virtual

Implements WP3Listener.

Referenced by addTableColumnDefinition().

void WP3StylesListener::suppressPage | ( | unsigned short | suppressCode | ) |
| virtual

Implements WP3Listener.

Referenced by insertNote().

void WP3StylesListener::undoChange | ( | unsigned char | undoType,
|  | unsigned short | undoLevel
| ) |  |
| virtual

Implements WP3Listener.

Referenced by endTable().

## Member Data Documentation

WPXPageSpan WP3StylesListener::m_currentPage
| private

Referenced by headerFooterGroup(), insertBreak(), marginChange(), pageFormChange(), pageMarginChange(), and suppressPage().

bool WP3StylesListener::m_currentPageHasContent
| private

Referenced by _handleSubDocument(), backTab(), headerFooterGroup(), insertBreak(), insertCharacter(), insertEOL(), insertNote(), insertTab(), marginChange(), pageFormChange(), and startTable().

WPXTable* WP3StylesListener::m_currentTable
| private

Referenced by _handleSubDocument(), and startTable().

bool WP3StylesListener::m_isSubDocument
| private

Referenced by _handleSubDocument(), insertBreak(), and marginChange().

std::list<WPXPageSpan>::iterator WP3StylesListener::m_pageListHardPageMark
| private

Referenced by insertBreak(), marginChange(), and WP3StylesListener().

std::vector<WP3SubDocument *>& WP3StylesListener::m_subDocuments
| private

Referenced by headerFooterGroup().

WPXTableList WP3StylesListener::m_tableList
| private

Referenced by _handleSubDocument(), and startTable().

double WP3StylesListener::m_tempMarginLeft
| private

Referenced by insertBreak(), and marginChange().

double WP3StylesListener::m_tempMarginRight
| private

Referenced by insertBreak(), and marginChange().

The documentation for this class was generated from the following files:

- WP3StylesListener.h
- WP3StylesListener.cpp